Get all Wireless Detail Records (WDRs) Reports
Returns the WDR Reports that match the given parameters.
GET
/
wireless
/
detail
/
records
/
reports
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const detailRecordsReports = await client.wireless.detailRecordsReports.list();
console.log(detailRecordsReports.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
detail_records_reports = client.wireless.detail_records_reports.list()
print(detail_records_reports.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
detailRecordsReports, err := client.Wireless.DetailRecordsReports.List(context.TODO(), telnyx.WirelessDetailRecordsReportListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", detailRecordsReports.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportListParams;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DetailRecordsReportListResponse detailRecordsReports = client.wireless().detailRecordsReports().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
detail_records_reports = telnyx.wireless.detail_records_reports.list
puts(detail_records_reports)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$detailRecordsReports = $client->wireless->detailRecordsReports->list(
pageNumber: 1, pageSize: 1
);
var_dump($detailRecordsReports);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx wireless:detail-records-reports list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/wireless/detail/records/reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "detail_records_report",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"start_time": "2018-02-02T22:25:27.521Z",
"end_time": "2018-02-02T22:25:27.521Z",
"status": "pending",
"report_url": "http://example.com"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const detailRecordsReports = await client.wireless.detailRecordsReports.list();
console.log(detailRecordsReports.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
detail_records_reports = client.wireless.detail_records_reports.list()
print(detail_records_reports.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
detailRecordsReports, err := client.Wireless.DetailRecordsReports.List(context.TODO(), telnyx.WirelessDetailRecordsReportListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", detailRecordsReports.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportListParams;
import com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DetailRecordsReportListResponse detailRecordsReports = client.wireless().detailRecordsReports().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
detail_records_reports = telnyx.wireless.detail_records_reports.list
puts(detail_records_reports)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$detailRecordsReports = $client->wireless->detailRecordsReports->list(
pageNumber: 1, pageSize: 1
);
var_dump($detailRecordsReports);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx wireless:detail-records-reports list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/wireless/detail/records/reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "detail_records_report",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"start_time": "2018-02-02T22:25:27.521Z",
"end_time": "2018-02-02T22:25:27.521Z",
"status": "pending",
"report_url": "http://example.com"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}